include "console.iol"
include "json_utils.iol"
include "math.iol"

inputPort IN {
  Location: "socket://localhost:8000"
  Protocol: sodep
  RequestResponse: getSchedule, getPosition
}

execution{ concurrent }

main
{
  [ getSchedule( req )( resp ){
    println@Console( "Requested schedule of line " + req.p )();
    tmp.line = req.p;
    for ( i=0, i<5, i++ ) {
      random@Math()( delay );
      tmp.shd[ i ] = delay*5000.0
    };
    getJsonString@JsonUtils( tmp )( resp )
  } ]
  [ getPosition()( pos ){
    pos = "44.497748, 11.354549"
  } ]
}